@keyframes shimmer {
    0% {
        background-position: -468px 0;
    }

    100% {
        background-position: 468px 0;
    }
}

.skeleton-card .skeleton-img,
.skeleton-card .skeleton-title,
.skeleton-card .skeleton-price,
.skeleton-card .skeleton-btn,
.skeleton-card .skeleton-swatch {
    background: #f6f7f8;
    background-image: linear-gradient(to right,
            #f6f7f8 0%,
            #edeef1 20%,
            #f6f7f8 40%,
            #f6f7f8 100%);
    background-repeat: no-repeat;
    background-size: 800px 100%;
    animation-duration: 1.5s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: shimmer;
    animation-timing-function: linear;
}

.premium-card.skeleton-card .skeleton-img {
    height: 100%;
    width: 100%;
    border-radius: 4px;
    background-color: #f7f7f7;
}

/* Removing hover lifts for skeletons */
.skeleton-card:hover .premium-card-image {
    box-shadow: none !important;
}

.skeleton-card:hover .product-image {
    transform: none !important;
}